Foreman - Bug #22984

upgrade causes missing Templates history
03/22/2018 10:29 AM - Sean O'Keeffe

Status: Closed
Priority: Normal
Assignee: Sean O'Keeffe
Category: Audit Log
Target version: 1.18.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1559108 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/5348,
https://github.com/theforeman/foreman/p
ull/5632,
https://github.com/theforeman/foreman/p
ull/5634
Description

Description of problem:

After upgrading to 6.3 i see no history for my provisioning template

Version-Release number of selected component (if applicable):

6.3

How reproducible:

not sure

Steps to Reproduce:

. build 6.2

OO wWND =

Actual results:

no history is displayed

Expected results:

. create custom Provisioning Template

. makes a change to that Template

. check history tab for you change

. Upgrade t0 6.3

. go to the history tab and no history will be displayed

All previous history is displayed

Additional info:

It seems in 6.2 they were saved in the audit table as “:auditable_type => Template™ whereas 6.3 they look like they are

“:auditable_type => ProvisioningTemplate™ and there has been no migration.

irb(main):028:0* Audit.descending.where(:auditable_id => 111, :auditable_type => Template, :action => 'update’).count

=> 82

irb(main):029:0> Audit.descending.where(:auditable_id => 111, :auditable_type => Template, :action => 'update’).first.created_at

=> Fri, 16 Mar 2018 15:46:56 UTC +00:00

irb(main):030:0> Audit.descending.where(:auditable_id => 111, :auditable_type => ProvisioningTemplate, :action => 'update').count

=2

irb(main):031:0> Audit.descending.where(:auditable_id => 111, :auditable_type => ProvisioningTemplate, :action =>
'update’).first.created_at

=> Wed, 21 Mar 2018 16:27:25 UTC +00:00
We upgraded on the morning of 21 Mar 2018

Associated revisions

Revision 4d5bdcd5 - 03/22/2018 12:36 PM - Sean O'Keeffe
Fixes #22984 - Migrate templates auditable_type
https://github.com/theforeman/foreman/pull/4778 Changed "Ptable’

& "ProvisioningTemplate™ “auditable_type" this commit adds the
missing migration.

Revision 596ec5dc - 06/01/2018 10:48 AM - Marek Hulan
Refs #22984 - fix the type for all templates

History

#1 - 03/22/2018 10:33 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/5348 added

#2 - 03/22/2018 11:34 AM - Sean O'Keeffe
- Bugzilla link set to 1559108

#3 - 03/22/2018 12:36 PM - Tomer Brisker

- translation missing: en.field_release set to 330

#4 - 03/22/2018 01:02 PM - Sean O'Keeffe
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 4d5bdcd5d9d67dcebb1f0e8e457bdf71bae95557.

#5 - 06/01/2018 06:05 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/5632 added

#6 - 06/01/2018 10:52 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/5634 added
